Thanks for the information. I will stay in the unstable branch.


Hi Guys, I have encountered a problem, I installed the xfce4 gtk3 panel by mistake and I do not like, I want to find the way to revert back to the original xfce4 panel that came with manjaro installation but when I try to do it through pacman an error appears “could not satisfy dependencies”

Is there a way to revert back? thank you all for your answers.


What exactly are your dependency problems?
Lets see your terminal output when you try to install
sudo pacman -S xfce4-panel


Hi, this is what appears

$ sudo pacman -S xfce4-panel
resolving dependencies…
looking for conflicting packages…
:: xfce4-panel and xfce4-panel-gtk3 are in conflict. Remove xfce4-panel-gtk3? [y/N] Y
error: failed to prepare transaction (could not satisfy dependencies)
:: xfce4-whiskermenu-plugin-gtk3: removing xfce4-panel-gtk3 breaks dependency ‘xfce4-panel-gtk3’


Try installing xfce4-whiskermenu-plugin at the same time

sudo pacman -S xfce4-panel xfce4-whiskermenu-plugin

and then say ‘yes’ to remove both xfce4-panel-gtk3 and xfce4-whiskermenu-plugin-gtk3

EDIT: Most likely you will also have to do this with / include some more packages, like exo(-gtk3), libxfce4ui(-gtk3) and garcon(-gtk3):wink:


Why not install the whole group
sudo pacman -S xfce4 xfce4-goodies


Open pamac and go to groups and search xfce-gtk3 and you mark uninstall to everything in there and in the xfce-goodies-gtk3 or something like that is the whiskermenu gtk 3 and you uninstall it but before applying you obviously need to mark the xfce(the gtk2) group completely and in the xfce-goodies you will find the original whisker menu,mark it and then apply.


The problem is that xfce4 and xfce4-goodies groups include both gtk3 and gtk2 versions of some packages, so:
sudo pacman -S xfce4 xfce4-goodies
and then selecting all packages in the group(s) does not work.
One has to manually select the packages inside the group(s) (either gtk3 or gtk2, but not both).


Instead of CLI, use Pamac. It has them separated.


I don’t use Pamac, since last time I checked it would not work behind proxy. I use Octopi instead. I installed by manually selecting gtk2 package numbers.

Anyway, the groups should not contain conflicting versions of any package. It is a bad practice.


Yes, I noticed that, too - thunar-gtk3 and xfce4-appfinder-gtk3 are in the xfce4 group by accident.
Will fix that asap. Thanks.


I must say that i use xfce gtk3 from unstable repo more then one week and its work great.i have only few bugs that i fix (install other window manager metacity fix all my problem). so good work and i wait for some new package for xfce gtk3 :wink:

Screen Tearing Xfce

Can you please specify exactly what problems you encounter?


yes,I described it to xfce github but in short brief:

  • when i change icon theme icons did not change only on one tab xfce-session-logout (power off, reboot, sleep, hibernate)
  • with xfwm4 enable (setting/windows manager tweak/compositor/enable display compositor) i have strange menu blinking/disappearance like on screen`s


after i disable xfwm4 windows manager in settings xfce looks ugly but it works - blinking menu stops appear so I start looking another wm and I discovered that when i replace xfwm4 wm to other (i install metacity) my bugs were gone and I did not notice others i use suspend, hibernate, screen lock, vpn, custom theme and everyday normal use so for me it`s quite stable now



Thank you.

I was experiencing that, too, until I removed video-intel driver. Running with modesetting now, the issue has disappeared.

Only sound in VLC player
Transitioning to i3

Could you please share links to your bug reports? I would love to follow-up on those.


of course
menu blinking:
icons not change:

ps: i have intel graphics card too


I too quickly praised that everything works xD
so there is the problem with “XFCE notifications service” is not runing with system start-up

cat /usr/lib/systemd/user/xfce4-notifyd.service

Description=XFCE notifications service

so… /usr/lib/xfce4/notifyd/xfce4-notifyd show me this error

error while loading shared libraries: libxfconf-0.so.2: cannot open shared object file: No such file or directory

it is related with the same bug https://github.com/manjaro/packages-extra/issues/111 ??? you wrote then that you update xfce4-session, xfce4-settings, xfce4-power-manager, panel, thunar, xfdesktop but you probably forgot about xfce4-notifyd


Installing the right package xfce4-notifyd-gtk3 might help here.


omg xD my mistake you have right!

but after i switch to manajro unstable and install

sudo pacman -S xfce4-gtk3 xfce4-gtk3-goodies

package xfce4-notifyd-gtk3 did not update like other package :confused: some xfce4 group problem?